Package org.jbpm.workflow.instance.node

## Class CompositeContextNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.CompositeNodeInstance
        - - org.jbpm.workflow.instance.node.CompositeContextNodeInstance

- All Implemented Interfaces:
    `Serializable`, `ContextableInstance`, `ContextInstanceContainer`, `EventBasedNodeInstanceInterface`, `EventNodeInstanceInterface`, `NodeInstance`, `NodeInstanceContainer`, `org.kie.api.runtime.process.EventListener`, `org.kie.api.runtime.process.NodeInstance`, `org.kie.api.runtime.process.NodeInstanceContainer`
  Direct Known Subclasses:
    `DynamicNodeInstance`, `EventSubProcessNodeInstance`, `ForEachNodeInstance`, `StateNodeInstance`

      public class CompositeContextNodeInstance
      extends CompositeNodeInstance
      implements ContextInstanceContainer, ContextableInstance

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `CompositeNodeInstance.CompositeNodeEndInstance, CompositeNodeInstance.CompositeNodeStartInstance`

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompositeContextNodeInstance()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addContextInstance​(String contextId, ContextInstance contextInstance)` |
    `protected CompositeContextNode` | `getCompositeContextNode()` |
    `ContextContainer` | `getContextContainer()` |
    `ContextInstance` | `getContextInstance​(String contextId)` |
    `ContextInstance` | `getContextInstance​(String contextId, long id)` |
    `ContextInstance` | `getContextInstance​(Context context)` |
    `List<ContextInstance>` | `getContextInstances​(String contextId)` |
    `void` | `removeContextInstance​(String contextId, ContextInstance contextInstance)` |
    `void` | `setContextInstance​(String contextId, ContextInstance contextInstance)` |

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `addEventListeners, addNodeInstance, cancel, getCompositeNode, getCurrentLevel, getFirstNodeInstance, getIterationLevels, getLevelForNode, getNodeContainer, getNodeInstance, getNodeInstance, getNodeInstance, getNodeInstances, getNodeInstances, getNodeInstances, getNodeInstances, getState, internalTrigger, internalTriggerOnlyParent, isLinkedIncomingNodeRequired, nodeInstanceCompleted, removeEventListeners, removeNodeInstance, setCurrentLevel, setProcessInstance, setState, signalEvent, triggerCompleted, useAsync`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkDeclarationMatch, checkProcessInstance, configureSla, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getEventTypes, getTimerInstances, handleSLAViolation, internalSetTimerInstances, mapDynamicOutputData, registerBoundaryEvents, resolveVariable, triggerCompleted, triggerCompleted, triggerTimer`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, handleAssignment, mapOutputSetVariables, mapOutputSetVariables, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeContextNodeInstance

          public CompositeContextNodeInstance()

  - ### Method Detail

    - #### getCompositeContextNode

          protected CompositeContextNode getCompositeContextNode()

    - #### getContextContainer

          public ContextContainer getContextContainer()

      Specified by:
        `getContextContainer` in interface `ContextInstanceContainer`

    - #### setContextInstance

          public void setContextInstance​(String contextId,
                                         ContextInstance contextInstance)

    - #### getContextInstance

          public ContextInstance getContextInstance​(String contextId)

      Specified by:
        `getContextInstance` in interface `ContextableInstance`

    - #### getContextInstances

          public List<ContextInstance> getContextInstances​(String contextId)

      Specified by:
        `getContextInstances` in interface `ContextInstanceContainer`

    - #### addContextInstance

          public void addContextInstance​(String contextId,
                                         ContextInstance contextInstance)

      Specified by:
        `addContextInstance` in interface `ContextInstanceContainer`

    - #### removeContextInstance

          public void removeContextInstance​(String contextId,
                                            ContextInstance contextInstance)

      Specified by:
        `removeContextInstance` in interface `ContextInstanceContainer`

    - #### getContextInstance

          public ContextInstance getContextInstance​(String contextId,
                                                    long id)

      Specified by:
        `getContextInstance` in interface `ContextInstanceContainer`

    - #### getContextInstance

          public ContextInstance getContextInstance​(Context context)

      Specified by:
        `getContextInstance` in interface `ContextInstanceContainer`